- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DAnimation (Deprecated)
- QChannelMapping
- Qt 6.8.3 Reference Documentation

# QChannelMapping Class

class Qt3DAnimation::QChannelMapping

Allows to map the channels within the clip onto properties of objects in the application. More...

Header: | `#include <QChannelMapping>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3danimation)` `target_link_libraries(mytarget PRIVATE Qt6::3danimation)`
qmake: | `QT += 3danimation`
Inherits: | Qt3DAnimation::QAbstractChannelMapping
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

QString | channelName() const
QString | property() const
Qt3DCore::QNode * | target() const

## Public Slots

void | setChannelName(const QString &channelName)
void | setProperty(const QString &property)
void | setTarget(Qt3DCore::QNode *target)

## Signals

void | channelNameChanged(QString channelName)
void | propertyChanged(QString property)
void | targetChanged(Qt3DCore::QNode *target)

## Detailed Description